Groovy Documentation

## org.codehaus.groovy.grails.web.converters.marshaller.json
[Java] Class DomainClassMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.json.DomainClassMarshaller

All Implemented Interfaces:
  ObjectMarshaller

    public class DomainClassMarshaller

Authors:
  Siegfried Puchbauer

Since:
  1.1

Constructor Summary
`DomainClassMarshaller(boolean includeVersion)`
`DomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler)`

Method Summary
`protected void` | `asShortObject(java.lang.Object refObj, JSON json, GrailsDomainClassProperty idProperty, GrailsDomainClass referencedDomainClass)`
`protected java.lang.Object` | `extractValue(java.lang.Object domainObject, GrailsDomainClassProperty property)`
`boolean` | `isIncludeVersion()`
`protected boolean` | `isRenderDomainClassRelations()`
`void` | `marshalObject(java.lang.Object value, JSON json)`
`void` | `setIncludeVersion(boolean includeVersion)`
`boolean` | `supports(java.lang.Object object)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DomainClassMarshaller

    public DomainClassMarshaller(boolean includeVersion)

### DomainClassMarshaller

    public DomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler)

Method Detail

### asShortObject

    protected void asShortObject(java.lang.Object refObj, JSON json, GrailsDomainClassProperty idProperty, GrailsDomainClass referencedDomainClass)

### extractValue

    protected java.lang.Object extractValue(java.lang.Object domainObject, GrailsDomainClassProperty property)

### isIncludeVersion

    public boolean isIncludeVersion()

### isRenderDomainClassRelations

    protected boolean isRenderDomainClassRelations()

### marshalObject

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public void marshalObject(java.lang.Object value, JSON json)

### setIncludeVersion

    public void setIncludeVersion(boolean includeVersion)

### supports

    public boolean supports(java.lang.Object object)

Groovy Documentation